summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm')
-rw-r--r--ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm30
1 files changed, 30 insertions, 0 deletions
diff --git a/ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm b/ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm
new file mode 100644
index 000000000..ecc9ea389
--- /dev/null
+++ b/ubuntu/_base/tdeutils/debian/klaptopdaemon-trinity.prerm
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+
+ remove)
+ /usr/sbin/dpkg-statoverride --quiet --remove /usr/trinity/bin/klaptop_acpi_helper > /dev/null 2>&1 || true
+ if [ -e /usr/trinity/bin/klaptop_acpi_helper ]; then
+ chown root:root /usr/trinity/bin/klaptop_acpi_helper
+ chmod 0755 /usr/trinity/bin/klaptop_acpi_helper
+ fi
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0